From nobody@FreeBSD.org  Sun Mar 10 14:23:45 2013
Return-Path: <nobody@FreeBSD.org>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:1900:2254:206a::19:1])
	by hub.freebsd.org (Postfix) with ESMTP id 722C8213
	for <freebsd-gnats-submit@FreeBSD.org>; Sun, 10 Mar 2013 14:23:45 +0000 (UTC)
	(envelope-from nobody@FreeBSD.org)
Received: from red.freebsd.org (red.freebsd.org [IPv6:2001:4f8:fff6::22])
	by mx1.freebsd.org (Postfix) with ESMTP id 4A606EC2
	for <freebsd-gnats-submit@FreeBSD.org>; Sun, 10 Mar 2013 14:23:45 +0000 (UTC)
Received: from red.freebsd.org (localhost [127.0.0.1])
	by red.freebsd.org (8.14.5/8.14.5) with ESMTP id r2AENiR5013690
	for <freebsd-gnats-submit@FreeBSD.org>; Sun, 10 Mar 2013 14:23:44 GMT
	(envelope-from nobody@red.freebsd.org)
Received: (from nobody@localhost)
	by red.freebsd.org (8.14.5/8.14.5/Submit) id r2AENi7n013689;
	Sun, 10 Mar 2013 14:23:44 GMT
	(envelope-from nobody)
Message-Id: <201303101423.r2AENi7n013689@red.freebsd.org>
Date: Sun, 10 Mar 2013 14:23:44 GMT
From: Fabian Keil <fk@fabiankeil.de>
To: freebsd-gnats-submit@FreeBSD.org
Subject: [MAINTAINER-UPDATE] from ww/privoxy 3.0.19 to 3.0.21
X-Send-Pr-Version: www-3.1
X-GNATS-Notify:

>Number:         176813
>Category:       ports
>Synopsis:       [MAINTAINER-UPDATE] from ww/privoxy 3.0.19 to 3.0.21
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    miwi
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Sun Mar 10 14:30:00 UTC 2013
>Closed-Date:    Thu Mar 14 13:31:43 UTC 2013
>Last-Modified:  Thu Mar 14 13:40:00 UTC 2013
>Originator:     Fabian Keil
>Release:        HEAD
>Organization:
>Environment:
FreeBSD r500.local 10.0-CURRENT FreeBSD 10.0-CURRENT #553 r+973bdef: Wed Feb 27 20:15:18 CET 2013     fk@r500.local:/usr/obj/usr/src/sys/ZOEY  amd64

>Description:
The attached patch updates www/privoxy from 3.0.19 to 3.0.21.

3.0.20 was a beta version.

The upstream changes include two security fixes and a workaround
for standards/173421. The complete ChangeLog is available at:
http://www.privoxy.org/announce.txt

The port-specific changes are:

- Convert to the "new" OPTIONS framework (not using the
  standard DOCS_DESC is intentional).
- Delete the old-school pkg-install and use USERS and GROUPS instead.
- Sync pkg-descr with the upstream description.
- Convert the Makefile header.

>How-To-Repeat:

>Fix:


Patch attached with submission follows:

From 6bee0a26f28359a43c0ee85632c83f9b98c7d03b Mon Sep 17 00:00:00 2001
From: Fabian Keil <fk@fabiankeil.de>
Date: Sun, 3 Mar 2013 15:31:49 +0100
Subject: [PATCH] Update www/privoxy from 3.0.19 to 3.0.21

3.0.20 was a beta version.

The upstream changes include two security fixes and a workaround
for standards/173421. The complete ChangeLog is available at:
http://www.privoxy.org/announce.txt

The port-specific changes are:

- Convert to the "new" OPTIONS framework (not using the
  standard DOCS_DESC is intentional).
- Delete the old-school pkg-install using USERS and GROUPS instead.
- Sync pkg-descr with the upstream description.
- Convert Makefile header.
---
 www/privoxy/Makefile    | 64 ++++++++++++++++++++++++++-----------------------
 www/privoxy/distinfo    |  4 ++--
 www/privoxy/pkg-descr   |  3 ++-
 www/privoxy/pkg-install | 33 -------------------------
 4 files changed, 38 insertions(+), 66 deletions(-)
 delete mode 100644 www/privoxy/pkg-install

diff --git a/www/privoxy/Makefile b/www/privoxy/Makefile
index b6a4c6b..8663c78 100644
--- a/www/privoxy/Makefile
+++ b/www/privoxy/Makefile
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	privoxy
-# Date created:				21 November 2002
-# Whom:					John von Essen
-#
+# Created by: John von Essen
 # $FreeBSD$
-#
 
 PORTNAME=	privoxy
-PORTVERSION=	3.0.19
-PORTREVISION=	1
+PORTVERSION=	3.0.21
 CATEGORIES=	www ipv6
 MASTER_SITES=	SF/ijbswa/Sources/${PORTVERSION}%20%28stable%29
 DISTNAME=	privoxy-${PORTVERSION}-stable-src
@@ -33,44 +28,57 @@ CONFLICTS=	privoxy-devel-[0-9]*
 
 MAN1=		privoxy.1
 
+USERS=		privoxy
+GROUPS=		privoxy
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS=	ACCEPT_FILTER "Enable support for accf_http(9)" Off \
-		COMPRESSION "Support compression of buffered content" Off \
-		DEBUG "Build with debugging symbols" Off \
-		EDITOR "Support use of the web-based action editor" On \
-		FORCE "Support bypassing of blocks" On \
-		PRIVOXY_TOOLS "Install Privoxy-Log-Parser, uagen, etc." Off \
-		TOGGLE "Support for remote toggling" On
+OPTIONS_DEFINE=	ACCEPT_FILTER BROKEN_STRPTIME COMPRESSION DEBUG \
+		DOCS EDITOR FORCE PRIVOXY_TOOLS TOGGLE
+
+ACCEPT_FILTER_DESC=	Support for accf_http(9)
+BROKEN_STRPTIME_DESC=	Enable workaround for standards/173421
+COMPRESSION_DESC=	Support compression of buffered content
+DOCS_DESC=		Let Privoxy serve the user manual
+EDITOR_DESC=		Support use of the web-based action editor
+FORCE_DESC=		Support bypassing of blocks
+PRIVOXY_TOOLS_DESC=	Install Privoxy-Log-Parser, uagen, etc.
+TOGGLE_DESC=		Support for remote toggling
+
+OPTIONS_DEFAULT=	BROKEN_STRPTIME EDITOR DOCS FORCE TOGGLE
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if defined(WITH_ACCEPT_FILTER)
+.if ${PORT_OPTIONS:MACCEPT_FILTER}
 CONFIGURE_ARGS+=	 --enable-accept-filter
 .endif
 
-.if defined(WITH_COMPRESSION)
+.if ${PORT_OPTIONS:MCOMPRESSION}
 CONFIGURE_ARGS+=	 --enable-compression
 .endif
 
-.if defined(WITH_DEBUG)
+.if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=	--with-debug
 .endif
 
-.if defined(WITHOUT_EDITOR)
+.if ! ${PORT_OPTIONS:MEDITOR}
 CONFIGURE_ARGS+=	--disable-editor
 .endif
 
-.if defined(WITHOUT_FORCE)
+.if ! ${PORT_OPTIONS:MFORCE}
 CONFIGURE_ARGS+=	--disable-force
 .endif
 
-.if defined(WITHOUT_TOGGLE)
+.if ${PORT_OPTIONS:MBROKEN_STRPTIME}
+CONFIGURE_ARGS+=	--enable-strptime-sanity-checks
+.endif
+
+.if ! ${PORT_OPTIONS:MTOGGLE}
 CONFIGURE_ARGS+=	--disable-toggle
 .endif
 
-.if defined(WITH_PRIVOXY_TOOLS)
+.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
 USE_PERL5_RUN=	yes
 RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 PLIST_SUB+=	PRIVOXY_TOOLS=""
@@ -85,7 +93,7 @@ post-patch:
 		-e 's,^\(actionsfile user\),#\1,' \
 		-e 's,^\(filterfile user\),#\1,' \
 	${WRKSRC}/config
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${REINPLACE_CMD} \
 		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR}/user-manual,' \
 	${WRKSRC}/config
@@ -96,15 +104,11 @@ post-patch:
 pre-configure:
 	@cd ${WRKSRC}; ${AUTOHEADER}
 
-pre-su-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} \
-		${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 do-install:
 	@${MKDIR} ${PREFIX}/etc/privoxy/templates
 	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${PREFIX}/sbin
 	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${PREFIX}/etc/privoxy/templates
-.if defined(WITH_PRIVOXY_TOOLS)
+.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
 .for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uagen.pl
 	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${PREFIX}/bin
 .endfor
@@ -121,7 +125,7 @@ do-install:
 	@${CHMOD} 0640 ${EXAMPLESDIR}/${examplefile}
 .endfor
 	@${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${MANPREFIX}/man/man1
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}/user-manual
 	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${DOCSDIR}/user-manual
 	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${DOCSDIR}/user-manual
@@ -133,4 +137,4 @@ post-install:
 	@${CHMOD} 0750 /var/run/privoxy
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff --git a/www/privoxy/distinfo b/www/privoxy/distinfo
index 1f38955..a3bfeef 100644
--- a/www/privoxy/distinfo
+++ b/www/privoxy/distinfo
@@ -1,2 +1,2 @@
-SHA256 (privoxy-3.0.19-stable-src.tar.gz) = 816e627b31caa3d9e71d0a8b83ac9ea7dcbeaaafef3c9a9c792696aa56255232
-SIZE (privoxy-3.0.19-stable-src.tar.gz) = 1722316
+SHA256 (privoxy-3.0.21-stable-src.tar.gz) = 5ec7e601948d2bd0ebf0ebe90eed7d49e7663c395ce16d0403e91ea2d459ddb8
+SIZE (privoxy-3.0.21-stable-src.tar.gz) = 1733120
diff --git a/www/privoxy/pkg-descr b/www/privoxy/pkg-descr
index b0d9d33..ace31c2 100644
--- a/www/privoxy/pkg-descr
+++ b/www/privoxy/pkg-descr
@@ -2,6 +2,7 @@ Privoxy is a non-caching web proxy with advanced filtering capabilities for
 enhancing privacy, modifying web page data and HTTP headers, controlling
 access, and removing ads and other obnoxious Internet junk. Privoxy has a
 flexible configuration and can be customized to suit individual needs and
-tastes. It may be used in both stand-alone systems and multi-user networks.
+tastes. It has application for both stand-alone systems and multi-user
+networks.
 
 WWW: http://www.privoxy.org/
diff --git a/www/privoxy/pkg-install b/www/privoxy/pkg-install
deleted file mode 100644
index a00abc6..0000000
--- a/www/privoxy/pkg-install
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/sh
-
-if [ "$2" != "PRE-INSTALL" ]; then
-    exit 0
-fi
-
-PW=/usr/sbin/pw
-ECHO=echo
-USER=privoxy
-GROUP=${USER}
-UIDGID=201
-
-if ! ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
-	if ${PW} groupadd ${GROUP} -g ${UIDGID}; then
-		${ECHO} "Added group \"${GROUP}\"."
-	else
-                ${ECHO} "Adding group \"${GROUP}\" failed..."
-                exit 1
-        fi
-fi
-
-if ! ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
-        if ${PW} useradd ${USER} -g ${GROUP} -h - \
-                -s "/sbin/nologin" -d "/nonexistent" \
-                -c "privoxy pseudo-user" -u ${UIDGID}; \
-        then
-                ${ECHO} "Added user \"${USER}\"."
-        else
-                ${ECHO} "Adding user \"${USER}\" failed..."
-                exit 1
-        fi
-fi
-exit 0
-- 
1.8.1.3



>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->miwi 
Responsible-Changed-By: miwi 
Responsible-Changed-When: Mon Mar 11 13:05:38 UTC 2013 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=176813 
State-Changed-From-To: open->feedback 
State-Changed-By: miwi 
State-Changed-When: Thu Mar 14 05:55:59 UTC 2013 
State-Changed-Why:  
Makefile rejected: 

Hunk #6 succeeded at 137.  1 out of 6 hunks failed--saving rejects to 
Makefile.rej Hmm...  The next patch looks like a unified diff to me... 



http://www.freebsd.org/cgi/query-pr.cgi?pr=176813 

From: Fabian Keil <fk@fabiankeil.de>
To: miwi@FreeBSD.org, bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/176813: [MAINTAINER-UPDATE] from ww/privoxy 3.0.19 to
 3.0.21
Date: Thu, 14 Mar 2013 13:02:25 +0100

 --Sig_/pEGzmAW/wrGls1T1mX0qHuQ
 Content-Type: multipart/mixed; boundary="MP_/4.2w_gO51sybxI/Vty4h.0+"
 
 --MP_/4.2w_gO51sybxI/Vty4h.0+
 Content-Type: text/plain; charset=US-ASCII
 Content-Transfer-Encoding: quoted-printable
 Content-Disposition: inline
 
 miwi@FreeBSD.org wrote:
 
 > Makefile rejected:
 >=20
 > Hunk #6 succeeded at 137.  1 out of 6 hunks failed--saving rejects to
 > Makefile.rej Hmm...  The next patch looks like a unified diff to me...
 
 Without knowing which hunk was rejected and why I'm guessing
 that you tried to apply the patch against a checkout with
 expanded keywords which caused the first hunk to be rejected.
 
 If that's the case, please try the attached patch which
 doesn't contain the cosmetic Makefile header update and
 thus is keyword-independent.
 
 If it doesn't work, please either provide more details or
 leave the PR to a git-using committer.
 
 Fabian
 
 --MP_/4.2w_gO51sybxI/Vty4h.0+
 Content-Type: text/x-patch
 Content-Transfer-Encoding: quoted-printable
 Content-Disposition: attachment; filename=privoxy-3.0.21_b.diff
 
 =46rom 9450506994106e726ac7bf3870b77e6c4b783191 Mon Sep 17 00:00:00 2001
 From: Fabian Keil <fk@fabiankeil.de>
 Date: Sun, 3 Mar 2013 15:31:49 +0100
 Subject: [PATCH] Update www/privoxy from 3.0.19 to 3.0.21
 
 3.0.20 was a beta version.
 
 The upstream changes include two security fixes and a workaround
 for standards/173421. The complete ChangeLog is available at:
 http://www.privoxy.org/announce.txt
 
 The port-specific changes are:
 
 - Convert to the "new" OPTIONS framework (not using the
   standard DOCS_DESC is intentional).
 - Delete the old-school pkg-install using USERS and GROUPS instead.
 - Sync pkg-descr with the upstream description.
 ---
  www/privoxy/Makefile    | 58 ++++++++++++++++++++++++++++-----------------=
 ----
  www/privoxy/distinfo    |  4 ++--
  www/privoxy/pkg-descr   |  3 ++-
  www/privoxy/pkg-install | 33 ----------------------------
  4 files changed, 37 insertions(+), 61 deletions(-)
  delete mode 100644 www/privoxy/pkg-install
 
 diff --git a/www/privoxy/Makefile b/www/privoxy/Makefile
 index b6a4c6b..1fd8271 100644
 --- a/www/privoxy/Makefile
 +++ b/www/privoxy/Makefile
 @@ -6,8 +6,7 @@
  #
 =20
  PORTNAME=3D	privoxy
 -PORTVERSION=3D	3.0.19
 -PORTREVISION=3D	1
 +PORTVERSION=3D	3.0.21
  CATEGORIES=3D	www ipv6
  MASTER_SITES=3D	SF/ijbswa/Sources/${PORTVERSION}%20%28stable%29
  DISTNAME=3D	privoxy-${PORTVERSION}-stable-src
 @@ -33,44 +32,57 @@ CONFLICTS=3D	privoxy-devel-[0-9]*
 =20
  MAN1=3D		privoxy.1
 =20
 +USERS=3D		privoxy
 +GROUPS=3D		privoxy
 +
  CPPFLAGS+=3D	-I${LOCALBASE}/include
  LDFLAGS+=3D	-L${LOCALBASE}/lib
 =20
 -OPTIONS=3D	ACCEPT_FILTER "Enable support for accf_http(9)" Off \
 -		COMPRESSION "Support compression of buffered content" Off \
 -		DEBUG "Build with debugging symbols" Off \
 -		EDITOR "Support use of the web-based action editor" On \
 -		FORCE "Support bypassing of blocks" On \
 -		PRIVOXY_TOOLS "Install Privoxy-Log-Parser, uagen, etc." Off \
 -		TOGGLE "Support for remote toggling" On
 +OPTIONS_DEFINE=3D	ACCEPT_FILTER BROKEN_STRPTIME COMPRESSION DEBUG \
 +		DOCS EDITOR FORCE PRIVOXY_TOOLS TOGGLE
 +
 +ACCEPT_FILTER_DESC=3D	Support for accf_http(9)
 +BROKEN_STRPTIME_DESC=3D	Enable workaround for standards/173421
 +COMPRESSION_DESC=3D	Support compression of buffered content
 +DOCS_DESC=3D		Let Privoxy serve the user manual
 +EDITOR_DESC=3D		Support use of the web-based action editor
 +FORCE_DESC=3D		Support bypassing of blocks
 +PRIVOXY_TOOLS_DESC=3D	Install Privoxy-Log-Parser, uagen, etc.
 +TOGGLE_DESC=3D		Support for remote toggling
 +
 +OPTIONS_DEFAULT=3D	BROKEN_STRPTIME EDITOR DOCS FORCE TOGGLE
 =20
 -.include <bsd.port.pre.mk>
 +.include <bsd.port.options.mk>
 =20
 -.if defined(WITH_ACCEPT_FILTER)
 +.if ${PORT_OPTIONS:MACCEPT_FILTER}
  CONFIGURE_ARGS+=3D	 --enable-accept-filter
  .endif
 =20
 -.if defined(WITH_COMPRESSION)
 +.if ${PORT_OPTIONS:MCOMPRESSION}
  CONFIGURE_ARGS+=3D	 --enable-compression
  .endif
 =20
 -.if defined(WITH_DEBUG)
 +.if ${PORT_OPTIONS:MDEBUG}
  CONFIGURE_ARGS+=3D	--with-debug
  .endif
 =20
 -.if defined(WITHOUT_EDITOR)
 +.if ! ${PORT_OPTIONS:MEDITOR}
  CONFIGURE_ARGS+=3D	--disable-editor
  .endif
 =20
 -.if defined(WITHOUT_FORCE)
 +.if ! ${PORT_OPTIONS:MFORCE}
  CONFIGURE_ARGS+=3D	--disable-force
  .endif
 =20
 -.if defined(WITHOUT_TOGGLE)
 +.if ${PORT_OPTIONS:MBROKEN_STRPTIME}
 +CONFIGURE_ARGS+=3D	--enable-strptime-sanity-checks
 +.endif
 +
 +.if ! ${PORT_OPTIONS:MTOGGLE}
  CONFIGURE_ARGS+=3D	--disable-toggle
  .endif
 =20
 -.if defined(WITH_PRIVOXY_TOOLS)
 +.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
  USE_PERL5_RUN=3D	yes
  RUN_DEPENDS+=3D	curl:${PORTSDIR}/ftp/curl
  PLIST_SUB+=3D	PRIVOXY_TOOLS=3D""
 @@ -85,7 +97,7 @@ post-patch:
  		-e 's,^\(actionsfile user\),#\1,' \
  		-e 's,^\(filterfile user\),#\1,' \
  	${WRKSRC}/config
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	${REINPLACE_CMD} \
  		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR=
 }/user-manual,' \
  	${WRKSRC}/config
 @@ -96,15 +108,11 @@ post-patch:
  pre-configure:
  	@cd ${WRKSRC}; ${AUTOHEADER}
 =20
 -pre-su-install:
 -	@${SETENV} PKG_PREFIX=3D${PREFIX} ${SH} \
 -		${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 -
  do-install:
  	@${MKDIR} ${PREFIX}/etc/privoxy/templates
  	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${PREFIX}/sbin
  	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${PREFIX}/etc/privoxy/templat=
 es
 -.if defined(WITH_PRIVOXY_TOOLS)
 +.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
  .for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uage=
 n.pl
  	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${PREFIX}/bin
  .endfor
 @@ -121,7 +129,7 @@ do-install:
  	@${CHMOD} 0640 ${EXAMPLESDIR}/${examplefile}
  .endfor
  	@${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${MANPREFIX}/man/man1
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	@${MKDIR} ${DOCSDIR}/user-manual
  	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${DOCSDIR}/us=
 er-manual
  	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${DOCSDIR}/user-manual
 @@ -133,4 +141,4 @@ post-install:
  	@${CHMOD} 0750 /var/run/privoxy
  	@${CAT} ${PKGMESSAGE}
 =20
 -.include <bsd.port.post.mk>
 +.include <bsd.port.mk>
 diff --git a/www/privoxy/distinfo b/www/privoxy/distinfo
 index 1f38955..a3bfeef 100644
 --- a/www/privoxy/distinfo
 +++ b/www/privoxy/distinfo
 @@ -1,2 +1,2 @@
 -SHA256 (privoxy-3.0.19-stable-src.tar.gz) =3D 816e627b31caa3d9e71d0a8b83ac=
 9ea7dcbeaaafef3c9a9c792696aa56255232
 -SIZE (privoxy-3.0.19-stable-src.tar.gz) =3D 1722316
 +SHA256 (privoxy-3.0.21-stable-src.tar.gz) =3D 5ec7e601948d2bd0ebf0ebe90eed=
 7d49e7663c395ce16d0403e91ea2d459ddb8
 +SIZE (privoxy-3.0.21-stable-src.tar.gz) =3D 1733120
 diff --git a/www/privoxy/pkg-descr b/www/privoxy/pkg-descr
 index b0d9d33..ace31c2 100644
 --- a/www/privoxy/pkg-descr
 +++ b/www/privoxy/pkg-descr
 @@ -2,6 +2,7 @@ Privoxy is a non-caching web proxy with advanced filtering =
 capabilities for
  enhancing privacy, modifying web page data and HTTP headers, controlling
  access, and removing ads and other obnoxious Internet junk. Privoxy has a
  flexible configuration and can be customized to suit individual needs and
 -tastes. It may be used in both stand-alone systems and multi-user networks.
 +tastes. It has application for both stand-alone systems and multi-user
 +networks.
 =20
  WWW: http://www.privoxy.org/
 diff --git a/www/privoxy/pkg-install b/www/privoxy/pkg-install
 deleted file mode 100644
 index a00abc6..0000000
 --- a/www/privoxy/pkg-install
 +++ /dev/null
 @@ -1,33 +0,0 @@
 -#!/bin/sh
 -
 -if [ "$2" !=3D "PRE-INSTALL" ]; then
 -    exit 0
 -fi
 -
 -PW=3D/usr/sbin/pw
 -ECHO=3Decho
 -USER=3Dprivoxy
 -GROUP=3D${USER}
 -UIDGID=3D201
 -
 -if ! ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
 -	if ${PW} groupadd ${GROUP} -g ${UIDGID}; then
 -		${ECHO} "Added group \"${GROUP}\"."
 -	else
 -                ${ECHO} "Adding group \"${GROUP}\" failed..."
 -                exit 1
 -        fi
 -fi
 -
 -if ! ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
 -        if ${PW} useradd ${USER} -g ${GROUP} -h - \
 -                -s "/sbin/nologin" -d "/nonexistent" \
 -                -c "privoxy pseudo-user" -u ${UIDGID}; \
 -        then
 -                ${ECHO} "Added user \"${USER}\"."
 -        else
 -                ${ECHO} "Adding user \"${USER}\" failed..."
 -                exit 1
 -        fi
 -fi
 -exit 0
 --=20
 1.8.1.5
 
 
 --MP_/4.2w_gO51sybxI/Vty4h.0+--
 
 --Sig_/pEGzmAW/wrGls1T1mX0qHuQ
 Content-Type: application/pgp-signature; name=signature.asc
 Content-Disposition: attachment; filename=signature.asc
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.19 (FreeBSD)
 
 iQIcBAEBCAAGBQJRQbxWAAoJEGkYIpGLojcchuMQAJ6CY3ge5vDtYuD0TB/kTBPk
 LO0qw0tHmbIrIZbF1JAnB3OIB/uegmObC5CpAOjKLCkNCU0coAOh6eoYc3g7G/hq
 gF6aDa5JjapJkM28CRSes+/NlaN3SitIIReuG+VE6OXC4E/sLTYGdJp5jaqktFyl
 V+jC9zSpD/x5+PAQl93kqxyNmX3qLxqW+yG+yLmodkHZTW2Km7peJKWH++iEL6Rm
 Y4Df80YTPTSdcbQOayoracbDnBwXvVkET64rfiGobypQmw1KX0DmKDFhgxyRGB/z
 jkrVQyYYMfaQKRoTV54uL+Mm4M45SGdH1NAd/nPJlsH/tYPHlMbZsQGjCOxvQDhE
 8HTMpZLA7cQI4UNPs97/I0eWknFKfRJ8h8gwPIkNlVUWiF04nsrvUdgMcDv74PD1
 vG1E35VxH9RTmZ4J+ojE/nzQ1nht/7cMepdcxHoEry95qiFxkHxqxACLxoDAP43l
 kA2G+LxKfFt7T6HojluIl5Xlm/GmcZFexGwKfTccrmbLGGgDhsCifTCqk0zoxr7+
 z+UVTW9JCEFHgnV9sYv3IZStsyvi4H1PozbrSnMPv7EPF484BRd16K3xSUtym8LA
 lgmVejCncLVpUT0gpcLYtUXpojVXuxeOlB7ailyRxPH1S0j2OrAMgGfrY47cHnuh
 8Nd2tsm4bJ5oOugOzk2H
 =BKvQ
 -----END PGP SIGNATURE-----
 
 --Sig_/pEGzmAW/wrGls1T1mX0qHuQ--
State-Changed-From-To: feedback->closed 
State-Changed-By: miwi 
State-Changed-When: Thu Mar 14 13:31:42 UTC 2013 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=176813 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/176813: commit references a PR
Date: Thu, 14 Mar 2013 13:31:38 +0000 (UTC)

 Author: miwi
 Date: Thu Mar 14 13:31:24 2013
 New Revision: 314158
 URL: http://svnweb.freebsd.org/changeset/ports/314158
 
 Log:
   - Update to 3.0.21
   
   PR:		176813
   Submitted by:	Fabian Keil <fk@fabiankeil.de> (maintainer)
 
 Deleted:
   head/www/privoxy/pkg-install
 Modified:
   head/www/privoxy/Makefile   (contents, props changed)
   head/www/privoxy/distinfo   (contents, props changed)
   head/www/privoxy/pkg-descr   (contents, props changed)
 
 Modified: head/www/privoxy/Makefile
 ==============================================================================
 --- head/www/privoxy/Makefile	Thu Mar 14 13:28:31 2013	(r314157)
 +++ head/www/privoxy/Makefile	Thu Mar 14 13:31:24 2013	(r314158)
 @@ -1,13 +1,8 @@
 -# New ports collection makefile for:	privoxy
 -# Date created:				21 November 2002
 -# Whom:					John von Essen
 -#
 +# Created by: John von Essen
  # $FreeBSD$
 -#
  
  PORTNAME=	privoxy
 -PORTVERSION=	3.0.19
 -PORTREVISION=	1
 +PORTVERSION=	3.0.21
  CATEGORIES=	www ipv6
  MASTER_SITES=	SF/ijbswa/Sources/${PORTVERSION}%20%28stable%29
  DISTNAME=	privoxy-${PORTVERSION}-stable-src
 @@ -33,44 +28,57 @@ CONFLICTS=	privoxy-devel-[0-9]*
  
  MAN1=		privoxy.1
  
 +USERS=		privoxy
 +GROUPS=		privoxy
 +
  CPPFLAGS+=	-I${LOCALBASE}/include
  LDFLAGS+=	-L${LOCALBASE}/lib
  
 -OPTIONS=	ACCEPT_FILTER "Enable support for accf_http(9)" Off \
 -		COMPRESSION "Support compression of buffered content" Off \
 -		DEBUG "Build with debugging symbols" Off \
 -		EDITOR "Support use of the web-based action editor" On \
 -		FORCE "Support bypassing of blocks" On \
 -		PRIVOXY_TOOLS "Install Privoxy-Log-Parser, uagen, etc." Off \
 -		TOGGLE "Support for remote toggling" On
 +OPTIONS_DEFINE=	ACCEPT_FILTER BROKEN_STRPTIME COMPRESSION DEBUG \
 +		DOCS EDITOR FORCE PRIVOXY_TOOLS TOGGLE
 +
 +ACCEPT_FILTER_DESC=	Support for accf_http(9)
 +BROKEN_STRPTIME_DESC=	Enable workaround for standards/173421
 +COMPRESSION_DESC=	Support compression of buffered content
 +DOCS_DESC=		Let Privoxy serve the user manual
 +EDITOR_DESC=		Support use of the web-based action editor
 +FORCE_DESC=		Support bypassing of blocks
 +PRIVOXY_TOOLS_DESC=	Install Privoxy-Log-Parser, uagen, etc.
 +TOGGLE_DESC=		Support for remote toggling
 +
 +OPTIONS_DEFAULT=	BROKEN_STRPTIME EDITOR DOCS FORCE TOGGLE
  
 -.include <bsd.port.pre.mk>
 +.include <bsd.port.options.mk>
  
 -.if defined(WITH_ACCEPT_FILTER)
 +.if ${PORT_OPTIONS:MACCEPT_FILTER}
  CONFIGURE_ARGS+=	 --enable-accept-filter
  .endif
  
 -.if defined(WITH_COMPRESSION)
 +.if ${PORT_OPTIONS:MCOMPRESSION}
  CONFIGURE_ARGS+=	 --enable-compression
  .endif
  
 -.if defined(WITH_DEBUG)
 +.if ${PORT_OPTIONS:MDEBUG}
  CONFIGURE_ARGS+=	--with-debug
  .endif
  
 -.if defined(WITHOUT_EDITOR)
 +.if ! ${PORT_OPTIONS:MEDITOR}
  CONFIGURE_ARGS+=	--disable-editor
  .endif
  
 -.if defined(WITHOUT_FORCE)
 +.if ! ${PORT_OPTIONS:MFORCE}
  CONFIGURE_ARGS+=	--disable-force
  .endif
  
 -.if defined(WITHOUT_TOGGLE)
 +.if ${PORT_OPTIONS:MBROKEN_STRPTIME}
 +CONFIGURE_ARGS+=	--enable-strptime-sanity-checks
 +.endif
 +
 +.if ! ${PORT_OPTIONS:MTOGGLE}
  CONFIGURE_ARGS+=	--disable-toggle
  .endif
  
 -.if defined(WITH_PRIVOXY_TOOLS)
 +.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
  USE_PERL5_RUN=	yes
  RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
  PLIST_SUB+=	PRIVOXY_TOOLS=""
 @@ -85,7 +93,7 @@ post-patch:
  		-e 's,^\(actionsfile user\),#\1,' \
  		-e 's,^\(filterfile user\),#\1,' \
  	${WRKSRC}/config
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	${REINPLACE_CMD} \
  		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR}/user-manual,' \
  	${WRKSRC}/config
 @@ -96,15 +104,11 @@ post-patch:
  pre-configure:
  	@cd ${WRKSRC}; ${AUTOHEADER}
  
 -pre-su-install:
 -	@${SETENV} PKG_PREFIX=${PREFIX} ${SH} \
 -		${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 -
  do-install:
  	@${MKDIR} ${PREFIX}/etc/privoxy/templates
  	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${PREFIX}/sbin
  	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${PREFIX}/etc/privoxy/templates
 -.if defined(WITH_PRIVOXY_TOOLS)
 +.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
  .for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uagen.pl
  	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${PREFIX}/bin
  .endfor
 @@ -121,7 +125,7 @@ do-install:
  	@${CHMOD} 0640 ${EXAMPLESDIR}/${examplefile}
  .endfor
  	@${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${MANPREFIX}/man/man1
 -.if !defined(NOPORTDOCS)
 +.if ${PORT_OPTIONS:MDOCS}
  	@${MKDIR} ${DOCSDIR}/user-manual
  	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${DOCSDIR}/user-manual
  	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${DOCSDIR}/user-manual
 @@ -133,4 +137,4 @@ post-install:
  	@${CHMOD} 0750 /var/run/privoxy
  	@${CAT} ${PKGMESSAGE}
  
 -.include <bsd.port.post.mk>
 +.include <bsd.port.mk>
 
 Modified: head/www/privoxy/distinfo
 ==============================================================================
 --- head/www/privoxy/distinfo	Thu Mar 14 13:28:31 2013	(r314157)
 +++ head/www/privoxy/distinfo	Thu Mar 14 13:31:24 2013	(r314158)
 @@ -1,2 +1,2 @@
 -SHA256 (privoxy-3.0.19-stable-src.tar.gz) = 816e627b31caa3d9e71d0a8b83ac9ea7dcbeaaafef3c9a9c792696aa56255232
 -SIZE (privoxy-3.0.19-stable-src.tar.gz) = 1722316
 +SHA256 (privoxy-3.0.21-stable-src.tar.gz) = 5ec7e601948d2bd0ebf0ebe90eed7d49e7663c395ce16d0403e91ea2d459ddb8
 +SIZE (privoxy-3.0.21-stable-src.tar.gz) = 1733120
 
 Modified: head/www/privoxy/pkg-descr
 ==============================================================================
 --- head/www/privoxy/pkg-descr	Thu Mar 14 13:28:31 2013	(r314157)
 +++ head/www/privoxy/pkg-descr	Thu Mar 14 13:31:24 2013	(r314158)
 @@ -2,6 +2,7 @@ Privoxy is a non-caching web proxy with 
  enhancing privacy, modifying web page data and HTTP headers, controlling
  access, and removing ads and other obnoxious Internet junk. Privoxy has a
  flexible configuration and can be customized to suit individual needs and
 -tastes. It may be used in both stand-alone systems and multi-user networks.
 +tastes. It has application for both stand-alone systems and multi-user
 +networks.
  
  WWW: http://www.privoxy.org/
 _______________________________________________
 svn-ports-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/svn-ports-all
 To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
 
>Unformatted:
